package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.MemberInit;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.extendEntity.StaffStatistic;
import com.ssm.manage.query.MemberInitRequest;
import com.ssm.manage.response.MemberInitResponse;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

public interface SsmMemberInitService extends BaseService<MemberInit> {
    PageInfo<MemberInit> selectPage(MemberInitRequest memberInitRequest);
    int add(MemberInitRequest memberInitRequest,String staffPhone) throws SmsException;

    int update(List<MemberInitRequest> list, String phone);

    int delete(MemberInitRequest memberInitRequest);

    int insertBatch(List<MemberInit> list,String phone);

    PageInfo<MemberInitResponse> checkList(MemberInitRequest memberInitRequest)throws SmsException;

    int memberInit(MemberInitRequest memberInitRequest) throws ParseException;
    List<MemberInit> selectFKJ(MemberInit memberInit);
    List<MemberInit> selectFKJByDate(MemberInit memberInit);

    List<StaffStatistic> staff(MemberInitRequest memberInitRequest);
}
